Summary: im-ja
Name: im-ja
Version: 0.6
Release: 1
License: LGPL
Group: Applications/Editors
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk2 >= 2.0.6
BuildPrereq: gtk2-devel

%description
 im-ja is a Japanese input module for GTK2. Currently supports hiragana, 
 katakana, half-width katakana, zenkaku, canna , wnn and kanji character recognition inputs.
 Hotkeys can be configured via a GUI configurator.


%prep
%setup -q

%build
./configure \
	--prefix=/usr \
	--mandir=/usr/share/man \
	--sysconfdir=/etc
make

%install
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	mandir=$RPM_BUILD_ROOT/usr/share/man \
	sysconfdir=$RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`%{_bindir}/gconftool-2 --makefile-install-rule /etc/gconf/schemas/im-ja.schemas > /dev/null

%postun -p /sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`%{_bindir}/gconftool-2 --makefile-install-rule /etc/gconf/schemas/im-ja.schemas > /dev/null

%files
%defattr(-, root, root)
%doc README COPYING TODO AUTHORS ChangeLog
%{_libdir}/gtk-2.0/*
%{_libdir}/im-ja/*
%{_bindir}/*
%{_datadir}/control-center-2.0/*
%{_datadir}/im-ja/*
%{_mandir}/man1/*


