#ifndef _COMMON_H_
#define _COMMON_H_

#include <gdk/gdkevents.h>
#include "conf.h"

gchar *euc2utf8(const gchar *str);
gchar *utf82euc(const gchar *str);
gchar *hira2kata(gchar *hirastr);
gchar *full2half(gchar *instr);
gboolean isKanaChar(gunichar c);
gboolean isKatakanaChar(gunichar c);
gboolean isHiraganaChar(gunichar c);
gboolean isKanjiChar(gunichar c);
gboolean ishotkey(GdkEventKey *key, int hotkey, im_ja_cfg *cfg);
gboolean buffer_delchar(gchar* buf);
/* gchar *get_utf8_for_keyval(guint keyval); */

//these return the number of bytes added or removed
int buffer_inschar(char* buf,int maxbuf,char *ins,int pos);
int buffer_bkspchar(char* buf,int pos);
int buffer_deltchar(char* buf,int pos);


#endif
